import React from 'react';
import {connect} from 'react-redux';
import EMRContainer from '@components/EMRContainer';
import {saveTemplateDetail} from '@store/async-actions/tabTemplate';
import {initPersonInfo} from '@store/async-actions/getInfoByUuid';
import {initHistoryDetails} from '@store/async-actions/patInfo';
import {getAllDataList} from '@utils/tools';
import store from '@store';

function mapStateToProps(state) {
    return {
        
    }
}

function mapDispatchToProps(dispatch,getStore) { 
    return {
        /*initHospital(){
            dispatch(initPersonInfo())
        },*/
        saveDataAll(val){
            dispatch(saveTemplateDetail(val))
        },
        isVisible(bool){
            dispatch(changeVisible(bool))
        },
        initHistoryLastest(){
            dispatch(initHistoryDetails())
        }
    }
}


const SaveDataAll = connect(mapStateToProps, mapDispatchToProps)(EMRContainer);

export default SaveDataAll;